<template lang="html">
<div class="app">
    <v-table
      :loads_data="LOADS"
    />
</div>
</template>

<script>
import {
    mapActions,
    mapGetters
} from 'vuex'

import vTable from './components/tables/v-table'

export default {
    name: 'App',
    data: () => {
        return {}
    },
    components: {
        vTable
    },
    methods: {
        ...mapActions([
            'GET_LOADS_FROM_API'
        ])
    },
    computed: {
        ...mapGetters([
            'LOADS'
        ])
    },
    mounted() {
        this.GET_LOADS_FROM_API();
    }
}
</script>
